2017-11-18 12:17 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0003608Kali Linux[All Projects] General Bugpublic2016-09-23 08:59
Reportergridd 
Assigned Tosbrun 
PriorityhighSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version2016.2 
Target VersionFixed in Version2017.1 
Summary0003608: Tool incompatibilities with Perl 5.22.2-5
DescriptionAfter an apt-get update && apt-get dist-upgrade (on 9/16), tools BED, DOONA, and uniscan have broken. These tools immediately throw an error when they are run; details below. I've not made any modifications to these tools, and all of them were working properly prior to the Perl 5.22.2-5 upgrade.
Steps To ReproduceRun bed -s HTTP -t <any IP address>
error message: Can't locate object method "new" via package "bedmod::http" (perhaps you forgot to load "bedmod::http"?) at ./bed.pl line 43

Run doona -m IMAP -t <any IP address>
error message: Can't locate object method "new" via package "bedmod::imap" (perhaps you forgot to load "bedmod::imap"?) at ./doona.pl line 67

Run uniscan
error message: Can't locate Uniscan/Crawler.pm in @INC (you may need to install the Uniscan::Crawler module) (@INC contains: ./Uniscan /etc/perl /usr/local/lib/x86_64-linux-gnu/perl/5.22.2 /usr/local/share/perl/5.22.2 /usr/lib/x86_64-linux-gnu/perl5/5.22 /usr/share/perl5 /usr/lib/x86_64-linux-gnu/perl/5.22 /usr/share/perl/5.22 /usr/local/lib/site_perl /usr/lib/x86_64-linux-gnu/perl-base) at ./uniscan.pl line 24.
BEGIN failed--compilation aborted at ./uniscan.pl line 24.
Attached Files

-Relationships
+Relationships

-Notes

~0005971

gridd (reporter)

After working with the DOONA developer, adding the following 2 lines at the top of /usr/share/doona/doona.pl will resolve the problem. Thanks, wireghoul!

use FindBin;
use lib $FindBin::Bin;

This fix also works with BED (adding the same lines at the top of /usr/share/bed/bed.pl)

If needed, I can provide the source to both programs

~0005972

gridd (reporter)

The above-listed fix does not work for the uniscan problem.

~0005973

gridd (reporter)

Last edited: 2016-09-21 18:18

View 2 revisions

The following fix will resolve the uniscan issue. These changes need to be made to /usr/share/uniscan/uniscan.pl

Remove line: use lib "./Uniscan";
Replace with the following lines:

use FindBin qw( $RealBin );
use lib $RealBin;

If needed, I can provide the source. Credits to forums.kali.org member MMIROJV for the fix...thanks!

~0005979

sbrun (manager)

Thanks for the report.
In Perl 5.22.2-5, '.' has been removed from @INC by default.

I updated the three packages to fix this issue.

uniscan: version 6.3-0kali1
bed: version 0.5-1kali5
doona: version 1.0+git20160212-0kali1
+Notes

-Issue History
Date Modified Username Field Change
2016-09-21 12:17 gridd New Issue
2016-09-21 12:53 gridd Note Added: 0005971
2016-09-21 13:00 gridd Note Added: 0005972
2016-09-21 18:17 gridd Note Added: 0005973
2016-09-21 18:18 gridd Note Edited: 0005973 View Revisions
2016-09-23 08:59 sbrun Note Added: 0005979
2016-09-23 08:59 sbrun Assigned To => sbrun
2016-09-23 08:59 sbrun Status new => resolved
2016-09-23 08:59 sbrun Resolution open => fixed
2016-09-23 08:59 sbrun Fixed in Version => 2017.1
+Issue History